package pwc.taxtech.atms.organization.dpo;


import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import java.util.List;

public class OrganizationHKDto {
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    private String name;
    private String code;
    private Boolean isActive;
    private Long parentId;
    private String legalForm;
    private String registerAddress;
    private Float authorisedCapital;
    private Float issuedCapital;
    private String industry;
    private String paymentOfAnnualGovernmentFee;
    private String annualReturnFillings;
    private String boardMeetingRequirement;
    private String businessLicense;
    private String renewalOfBusinessLicense;
    private String entityLevel;
    private String dateOfIncorporation;
    private String jurisdictionOfFormation;
    private String financialYearEnd;
    private String annualAuditRequirement;
    private String registeredAgent;
    private String ownershipForm;
    private String residentSecretary;
    private String createTime;
    private String updateTime;
    private String areaId;
    private String regionId;
    private String structureId;
    private String industryId;
    private String businessUnitId;

    private String parentName;

    private List<OrganizationHKDto> subOrgs;

    private Integer pLevel;

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    private Integer level;

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public List<OrganizationHKDto> getSubOrgs() {
        return subOrgs;
    }

    public void setSubOrgs(List<OrganizationHKDto> subOrgs) {
        this.subOrgs = subOrgs;
    }

    public Integer getpLevel() {
        return pLevel;
    }

    public void setpLevel(Integer pLevel) {
        this.pLevel = pLevel;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Boolean getActive() {
        return isActive;
    }

    public void setActive(Boolean active) {
        isActive = active;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getLegalForm() {
        return legalForm;
    }

    public void setLegalForm(String legalForm) {
        this.legalForm = legalForm;
    }

    public String getRegisterAddress() {
        return registerAddress;
    }

    public void setRegisterAddress(String registerAddress) {
        this.registerAddress = registerAddress;
    }

    public Float getAuthorisedCapital() {
        return authorisedCapital;
    }

    public void setAuthorisedCapital(Float authorisedCapital) {
        this.authorisedCapital = authorisedCapital;
    }

    public Float getIssuedCapital() {
        return issuedCapital;
    }

    public void setIssuedCapital(Float issuedCapital) {
        this.issuedCapital = issuedCapital;
    }

    public String getIndustry() {
        return industry;
    }

    public void setIndustry(String industry) {
        this.industry = industry;
    }

    public String getPaymentOfAnnualGovernmentFee() {
        return paymentOfAnnualGovernmentFee;
    }

    public void setPaymentOfAnnualGovernmentFee(String paymentOfAnnualGovernmentFee) {
        this.paymentOfAnnualGovernmentFee = paymentOfAnnualGovernmentFee;
    }

    public String getAnnualReturnFillings() {
        return annualReturnFillings;
    }

    public void setAnnualReturnFillings(String annualReturnFillings) {
        this.annualReturnFillings = annualReturnFillings;
    }

    public String getBoardMeetingRequirement() {
        return boardMeetingRequirement;
    }

    public void setBoardMeetingRequirement(String boardMeetingRequirement) {
        this.boardMeetingRequirement = boardMeetingRequirement;
    }

    public String getBusinessLicense() {
        return businessLicense;
    }

    public void setBusinessLicense(String businessLicense) {
        this.businessLicense = businessLicense;
    }

    public String getRenewalOfBusinessLicense() {
        return renewalOfBusinessLicense;
    }

    public void setRenewalOfBusinessLicense(String renewalOfBusinessLicense) {
        this.renewalOfBusinessLicense = renewalOfBusinessLicense;
    }

    public String getEntityLevel() {
        return entityLevel;
    }

    public void setEntityLevel(String entityLevel) {
        this.entityLevel = entityLevel;
    }

    public String getDateOfIncorporation() {
        return dateOfIncorporation;
    }

    public void setDateOfIncorporation(String dateOfIncorporation) {
        this.dateOfIncorporation = dateOfIncorporation;
    }

    public String getJurisdictionOfFormation() {
        return jurisdictionOfFormation;
    }

    public void setJurisdictionOfFormation(String jurisdictionOfFormation) {
        this.jurisdictionOfFormation = jurisdictionOfFormation;
    }

    public String getFinancialYearEnd() {
        return financialYearEnd;
    }

    public void setFinancialYearEnd(String financialYearEnd) {
        this.financialYearEnd = financialYearEnd;
    }

    public String getAnnualAuditRequirement() {
        return annualAuditRequirement;
    }

    public void setAnnualAuditRequirement(String annualAuditRequirement) {
        this.annualAuditRequirement = annualAuditRequirement;
    }

    public String getRegisteredAgent() {
        return registeredAgent;
    }

    public void setRegisteredAgent(String registeredAgent) {
        this.registeredAgent = registeredAgent;
    }

    public String getOwnershipForm() {
        return ownershipForm;
    }

    public void setOwnershipForm(String ownershipForm) {
        this.ownershipForm = ownershipForm;
    }

    public String getResidentSecretary() {
        return residentSecretary;
    }

    public void setResidentSecretary(String residentSecretary) {
        this.residentSecretary = residentSecretary;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getStructureId() {
        return structureId;
    }

    public void setStructureId(String structureId) {
        this.structureId = structureId;
    }

    public String getIndustryId() {
        return industryId;
    }

    public void setIndustryId(String industryId) {
        this.industryId = industryId;
    }

    public String getBusinessUnitId() {
        return businessUnitId;
    }

    public void setBusinessUnitId(String businessUnitId) {
        this.businessUnitId = businessUnitId;
    }
}
